## Generated SDC file "APP-FPGA_Application.sdc"

## Copyright (C) 1991-2011 Altera Corporation
## Your use of Altera Corporation's design tools, logic functions 
## and other software and tools, and its AMPP partner logic 
## functions, and any output files from any of the foregoing 
## (including device programming or simulation files), and any 
## associated documentation or information are expressly subject 
## to the terms and conditions of the Altera Program License 
## Subscription Agreement, Altera MegaCore Function License 
## Agreement, or other applicable license agreement, including, 
## without limitation, that your use is for the sole purpose of 
## programming logic devices manufactured by Altera and sold by 
## Altera or its authorized distributors.  Please refer to the 
## applicable agreement for further details.


## VENDOR  "Altera"
## PROGRAM "Quartus II"
## VERSION "Version 11.0 Build 208 07/03/2011 Service Pack 1 SJ Full Version"

## DATE    "Tue Feb 07 09:08:19 2012"

##
## DEVICE  "EP4CE55F29C8"
##


#**************************************************************
# Time Information
#**************************************************************

set_time_format -unit ns -decimal_places 3



#**************************************************************
# Create Clock
#**************************************************************

create_clock -name {Clock} -period 20.000 -waveform { 0.000 10.000 } [get_ports {Clock}]


#**************************************************************
# Create Generated Clock
#**************************************************************

# System_Clock 50MHz
create_generated_clock 	-name System_Clock \
						-source {inst6|inst|altpll_component|auto_generated|pll1|inclk[0]} \
						-duty_cycle 50.00 \
						{inst6|inst|altpll_component|auto_generated|pll1|clk[1]}	
# 150Mhz_Osc_Clock					
create_generated_clock 	-name 150Mhz_Osc_Clock \
						-source {inst6|inst|altpll_component|auto_generated|pll1|inclk[0]} \
						-multiply_by 3 \
						-duty_cycle 50.00 \
						{inst6|inst|altpll_component|auto_generated|pll1|clk[2]}	
derive_pll_clocks						
											
#Output Clocks


#**************************************************************
# PLL_1	
#**************************************************************		
# SDRAM_Clock_Out  	--> 50MHz			
create_generated_clock 	-name SDRAM_CTRL[5] \
						-source [get_pins {inst6|inst|altpll_component|auto_generated|pll1|clk[0]}] \
								[get_ports {SDRAM_CTRL[5]}]	
#**************************************************************

#**************************************************************
# Clock_Divider
#**************************************************************
# 25MHz_Clock	
#**************************************************************	
create_generated_clock 	-name 25MHz_Clock \
						-source [get_pins {inst6|inst|altpll_component|auto_generated|pll1|clk[1]}] \
						-divide_by 2 [get_registers {inst1|inst43|clk_count_25mhz|auto_generated|counter_reg_bit[0]}]
#**************************************************************
#1MHz_Clock	
#**************************************************************	
create_generated_clock 	-name 1MHz_Clock \
						-source [get_pins {inst6|inst|altpll_component|auto_generated|pll1|clk[1]}] \
						-divide_by 50 [get_registers {inst1|inst43|clk_count_1mhz|auto_generated|counter_reg_bit[0]}]					
#**************************************************************
# 500kHz_Clock	
#**************************************************************	
create_generated_clock 	-name 500kHz_Clock \
						-source [get_pins {inst6|inst|altpll_component|auto_generated|pll1|clk[1]}] \
						-divide_by 100 [get_registers {inst1|inst43|clk_count_1mhz|auto_generated|counter_reg_bit[1]}]
#**************************************************************
# 100kHz_Clock	
#**************************************************************	
create_generated_clock 	-name 100kHz_Clock \
						-source [get_pins {inst6|inst|altpll_component|auto_generated|pll1|clk[1]}] \
						-divide_by 500 [get_registers {inst1|inst43|clk_count_100khz|auto_generated|counter_reg_bit[0]}]
#**************************************************************
# 10kHz_Clock	
#**************************************************************	
create_generated_clock 	-name 10kHz_Clock \
							-source [get_pins {inst6|inst|altpll_component|auto_generated|pll1|clk[1]}] \
							-divide_by 5000 [get_registers {inst1|inst43|clk_count_10khz|auto_generated|counter_reg_bit[0]}]

#**************************************************************
# 1kHz_Clock	
#**************************************************************	
create_generated_clock 	-name 1kHz_Clock \
						-source [get_pins {inst6|inst|altpll_component|auto_generated|pll1|clk[1]}] \
						-divide_by 50000 [get_registers {inst1|inst43|clk_count_1khz|auto_generated|counter_reg_bit[0]}]

#**************************************************************
# Set Clock Latency
#**************************************************************

#**************************************************************
# Set Clock Uncertainty
#**************************************************************

derive_clock_uncertainty

#**************************************************************
# Set Input Delay
#**************************************************************



#**************************************************************
# Set Output Delay
#**************************************************************



#**************************************************************
# Set Clock Groups
#**************************************************************
set_clock_groups -exclusive -group [get_clocks {System_Clock}] -group [get_clocks {150Mhz_Osc_Clock}] 
set_clock_groups -exclusive -group [get_clocks {Clock}] -group [get_clocks {150Mhz_Osc_Clock}] 


#**************************************************************
# Set False Path
#**************************************************************
set_false_path -from {altera_reserved_tck} -to {pzdyqx:nabboc|pzdyqx_impl:pzdyqx_impl_inst|FNUJ6967}
set_false_path -from {inst6|inst|altpll_component|auto_generated|pll1|clk[1]} -to {APP-FPGA_Application_Logic:inst1|FilamentControl:inst30|i_Sollwert_Skalierung:inst|\calculate_adc_sollwert:v_clk}

#**************************************************************
# Set Multicycle Path
#**************************************************************



#**************************************************************
# Set Maximum Delay
#**************************************************************


#**************************************************************
# Set Minimum Delay
#**************************************************************



#**************************************************************
# Set Input Transition
#**************************************************************

